description: Apps and engines loaded when an Asset is loaded. Since std VFX
  config template has a file system structure which is centered around pipeline
  steps, this environment is largely empty. Most of the work takes place on a
  level in the file system where both an asset and a pipeline step is available
  - e.g Asset Hero, modeling, so all apps for loading, publishing etc. are
  located in the asset_step environment. This environment mostly contains
  utility apps and the tank work files app, which lets you choose a task to work
  on and load associated content into an application.

################################################################################

includes:
  - ./includes/frameworks.yml
  - ./includes/settings/tk-maya.yml
  - ./includes/settings/tk-houdini.yml
  - ./includes/settings/tk-nuke.yml
  - ./includes/settings/tk-photoshopcc.yml
  - ./includes/settings/tk-shell.yml
  - ./includes/settings/tk-shotgun.yml

################################################################################
# configuration for all engines to load in an asset context

engines:
  tk-maya: "@settings.tk-maya.asset"
  tk-houdini: "@settings.tk-houdini.asset"
  tk-nuke: "@settings.tk-nuke.asset"
  tk-nuke-render: "@settings.tk-nuke.render.entity_only"
  tk-photoshopcc: "@settings.tk-photoshopcc.asset"
  tk-shell: "@settings.tk-shell.asset"
  tk-shotgun: "@settings.tk-shotgun.asset"

################################################################################
# reference all of the common frameworks

frameworks: "@frameworks"
